### admin/unidata/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 2012-2014 Free Software Foundation, Inc.

# Copyright (C) 2005, 2006, 2007, 2008, 2009, 2010, 2011
#   National Institute of Advanced Industrial Science and Technology (AIST)
#   Registration Number H13PRO009
#
# This file is part of GNU Emacs.

# GNU Emacs is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# GNU Emacs is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with GNU Emacs.  If not, see <http://www.gnu.org/licenses/>.

SHELL = /bin/bash

srcdir = .
top_srcdir = ../..
top_builddir = ../..

EMACS = ${top_builddir}/src/emacs
DSTDIR = ${top_srcdir}/lisp/international
emacs = "${EMACS}" -batch --no-site-file --no-site-lisp

.PHONY: all compile install

all: ${top_srcdir}/src/macuvs.h ${DSTDIR}/charprop.el

${top_srcdir}/src/macuvs.h: ${srcdir}/uvs.el ${srcdir}/IVD_Sequences.txt
	${EMACS} -batch -l "${srcdir}/uvs.el" \
	  --eval '(uvs-print-table-ivd "${srcdir}/IVD_Sequences.txt" "Adobe-Japan1")' \
	  > $@

.el.elc:
	${emacs} -f batch-byte-compile $<

unidata.txt: ${srcdir}/UnicodeData.txt
	sed -e 's/\([^;]*\);\(.*\)/(#x\1 "\2")/' -e 's/;/" "/g' < ${srcdir}/UnicodeData.txt > $@

compile: ${srcdir}/unidata-gen.elc

## Depend on .el rather than .elc so as not to needlessly rebuild
## uni-*.el files just because .elc is missing.
## Same for UnicodeData.txt v unidata.txt.
${DSTDIR}/charprop.el: ${srcdir}/unidata-gen.el ${srcdir}/UnicodeData.txt
	${MAKE} ${MFLAGS} compile unidata.txt EMACS="${EMACS}"
	-if [ -f "$@" ]; then \
	  cd ${DSTDIR} && chmod +w charprop.el `sed -n 's/^;; FILE: //p' < charprop.el`; \
	fi
	${emacs} -L ${srcdir} -l unidata-gen -f unidata-gen-files \
	  ${srcdir} "${DSTDIR}"

## Like the above, but generate in PWD rather than lisp/international.
charprop.el: ${srcdir}/unidata-gen.elc unidata.txt
	${emacs} -L ${srcdir} -l unidata-gen -f unidata-gen-files \
	  ${srcdir}

.PHONY: clean bootstrap-clean distclean maintainer-clean extraclean

install: charprop.el
	cp charprop.el ${DSTDIR}
	cp `sed -n 's/^;; FILE: //p' < charprop.el` ${DSTDIR}

clean:
	if test -f charprop.el; then \
	  rm -f `sed -n 's/^;; FILE: //p' < charprop.el`; \
	fi
	rm -f charprop.el ${srcdir}/*.elc unidata.txt

bootstrap-clean: clean

distclean: clean
	rm -f Makefile

maintainer-clean: distclean

## Do not remove these files, even in a bootstrap, because they rarely
## change and it slows down bootstrap (a tiny bit).
## Cf leim/ja-dic (which is much slower).
extraclean:
	rm -f ${top_srcdir}/src/macuvs.h
	if test -f ${DSTDIR}/charprop.el; then \
	  (cd ${DSTDIR} && rm -f `sed -n 's/^;; FILE: //p' < charprop.el`); \
	  rm -f ${DSTDIR}/charprop.el; \
	fi
