#
#   Copyright 2008 Free Software Foundation, Inc.
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#	Makefile for Motif-based routines
#	Note that GNU does not support Motif.
#	There are things in LessTif which don't quite work right (Combox Boxes and Spin boxes mainly)
#	so I don't recommend you try to use it.
#	Please note you have to find the Motif includes and library and a home for the resource files
#	"Findappdefloc" may help with the latter
#

SHELL		=	/bin/sh
prefix		=	/usr/local
exec_prefix	=	${prefix}
PARENT		=	..
BASE		=	../..
HDRS		=	$(PARENT)/hdrs
CC		=	gcc
CCFLAGS		=	-O -g -Wall -fno-stack-protector 
SHLIBCC		=	libtool --mode=link $(CC) $(CCFLAGS)
CFLAGS		=	$(CCFLAGS) -I$(HDRS) -I$(PARENT) -I$(BASE)
LDFLAGS		=	
PARENT		=	..
MYLIBDIR	=	$(PARENT)/lib
SHLIB		=	$(MYLIBDIR)/libgnuspool_int.la
LIBS		=	
LIBNET		=	
XLIBS		=	
RM		=	rm -f
INSTALL		=	/usr/bin/install -c
INSTALL_DATA	=	${INSTALL} -m 644
SPOOLUSER	=	gnuspool
USERMODES	=	-o $(SPOOLUSER) -g root -m 4755
BINDIR		=	$(DESTDIR)${exec_prefix}/bin
INTBINDIR	=	$(DESTDIR)${exec_prefix}/libexec/gnuspool
HELPFILEDIR	=	$(DESTDIR)${datarootdir}/gnuspool/help
USERBINS	=	gspl-xmpq gspl-xmuser
# We do this here rather than in configure because Findappdefloc can take a long time
# if it has to search the filesystem and we don't build this often enough to make it
# worthwhile
APPDEFLOC	=	$(DESTDIR)`./Findappdefloc`

XMSPQOBS=xmspq.o xmsq_jlist.o xmsq_plist.o xmsq_cbs.o xmsq_jcall.o xmsq_pcall.o xmsq_prompt.o xmsq_view.o
XMSPUSEROBS=xmspuser.o xmspu_cbs.o

all:		$(USERBINS)

gspl-xmpq:	$(XMSPQOBS)
		$(SHLIBCC) -o $@ $(LDFLAGS) $(XMSPQOBS) $(SHLIB) $(XLIBS) $(LIBNET) $(LIBS)

gspl-xmuser:	$(XMSPUSEROBS)
		$(SHLIBCC) -o $@ $(LDFLAGS) $(XMSPUSEROBS) $(SHLIB) $(XLIBS) $(LIBNET) $(LIBS)

install:	all
		libtool --mode=install $(INSTALL) $(USERMODES) $(USERBINS) $(BINDIR)
		(m4 xmspq.m4;m4 xmspuser.m4) >GSPOOL
		$(INSTALL_DATA) GSPOOL $(APPDEFLOC)
		$(RM) GSPOOL

install-strip:	all
		libtool --mode=install $(INSTALL) -s $(USERMODES) $(USERBINS) $(BINDIR)
		(m4 xmspq.m4;m4 xmspuser.m4) >GSPOOL
		$(INSTALL_DATA) GSPOOL $(APPDEFLOC)
		$(RM) GSPOOL

clean:
	$(RM) *.o gspl-xmpq gspl-xmuser

distclean:	clean
	$(RM) Makefile
