# Makefile.in for GNUtrition docs
# Copyright (C) 2001 Edgar Denny
# Copyright (C) 2010 Free Software Foundation, Inc.
#
# This file is part of GNUtrition.
# 
# GNUtrition is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# GNUtrition is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNUtrition.  If not, see <http://www.gnu.org/licenses/>.

prefix      = /usr/local
exec_prefix = ${prefix}
bindir      = ${exec_prefix}/bin
datadir     = ${prefix}/share
INSTALL     = /usr/bin/install -c
PACKAGE		= gnutrition
srcdir      = ..

imagefiles = $(wildcard *.jpg)
dist_files = Makefile topic.dat $(imagefiles) gnutrition.sgml
docdir = ${datadir}/gnome/help/${PACKAGE}/C

#all: create-html create-pdf
all: create-html

clean:
	rm -Rf gnutrition/
	rm -f gnutrition.pdf
	rm -f gnutrition.tex gnutrition.aux gnutrition.log gnutrition.out
	rm -Rf DB* # temp dirs created by db2html
	rm -rf gnutrition.junk

install: gnutrition/book1.html 
	mkdir -p $(docdir)/stylesheet-images
	${INSTALL} -m 644 $(imagefiles) $(docdir)
	for i in gnutrition/*.html ; do \
		${INSTALL} -m 644 $$i $(docdir) ; \
	done
	for i in gnutrition/stylesheet-images/*.gif ; do \
		${INSTALL} -m 644 $$i $(docdir)/stylesheet-images ; \
	done
	${INSTALL} -m 644 topic.dat $(docdir)

uninstall:

gnutrition/book1.html: create-html

create-html: gnutrition.sgml $(imagefiles)
	db2html gnutrition.sgml

create-pdf: gnutrition.sgml $(imagefiles)
	db2pdf gnutrition.sgml

