# Makefile.sub for `gpinyin' (preprocessor for added Perl parts)

# File position: <groff-source>/contrib/gpinyin/Makefile.sub

# Copyright (C) 2014  Free Software Foundation, Inc.
# Written by Bernd Warken <groff-bernd.warken-72@web.de>.

# This file is part of `gpinyin' which is part of `groff'.

# `groff' is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.

# `groff' is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program. If not, see
# <http://www.gnu.org/licenses/gpl-2.0.html>.

########################################################################

MAN1=gpinyin.n

MOSTLYCLEANADD=gpinyin $(MAN1)

# not all make programs have $(RM) predefined.
RM=rm -f

all: gpinyin

gpinyin: gpinyin.pl
	sed -f "$(SH_DEPS_SED_SCRIPT)" \
	    -e "s|@g@|$(g)|g" \
	    -e "s|@BINDIR@|$(DESTDIR)$(bindir)|g" \
	    -e "s|@gpinyin_dir@|$(DESTIR)$(gpinyin_dir)|" \
	    -e "s|@VERSION@|$(version)$(revision)|g" \
	    -e "$(SH_SCRIPT_SED_CMD)" \
	    $(srcdir)/gpinyin.pl >$@; \
	chmod +x $@

.PHONY: install_data
install_data: gpinyin subs.pl
	test -d $(DESTDIR)$(bindir) || \
	  $(mkinstalldirs) $(DESTDIR)$(bindir); \
	$(RM) $(DESTDIR)$(bindir)/gpinyin; \
	$(INSTALL_SCRIPT) gpinyin $(DESTDIR)$(bindir)/gpinyin; \
	test -d $(DESTDIR)$(gpinyin_dir) || \
	  $(mkinstalldirs) $(DESTDIR)$(gpinyin_dir); \
	$(RM) $(DESTDIR)$(gpinyin_dir)/subs.pl; \
	$(INSTALL_SCRIPT) $(srcdir)/subs.pl \
	  $(DESTDIR)$(gpinyin_dir)/subs.pl

.PHONY: uninstall_sub
uninstall_sub:
	$(RM) $(DESTDIR)$(bindir)/gpinyin; \
	$(RM) $(DESTDIR)$(gpinyin_dir)/subs.pl;
	-test -d $(DESTDIR)$(gpinyin_dir) && \
	  rmdir $(DESTDIR)$(gpinyin_dir)


########################################################################
# Emacs settings
########################################################################
#
# Local Variables:
# mode: makefile
# End:
