# Makefile.sub for `font devlj4'
#
# File position: <groff-source>/font/devlj4/Makefile.sub
#
# Copyright (C) 2014
#   Free Software Foundation, Inc.
#   Written by Werner Lemberg <wl@gnu.org> and
#   Bernd Warken <groff-bernd.warken-72@web.de>.
#
# Last update: 2 Sep 2014
#
# This file is part of `groffer' which is part of `groff'.
#
# `groff' is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# `groff' is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see
# <http://www.gnu.org/licenses/gpl-2.0.html>.
#
########################################################################

DEV=lj4
LJ4RES=1200
LJ4PRINT=$(PSPRINT)
DEVFILES=DESC \
  AB ABI AI AR \
  ALBB ALBR \
  AOB AOI AOR \
  CB CBI CI CR \
  GB GBI GI GR \
  LGB LGI LGR \
  OB OBI OI OR \
  TB TBI TI TR \
  TNRB TNRBI TNRI TNRR \
  UB UBI UI UR \
  UCB UCBI UCI UCR \
  CLARENDON CORONET MARIGOLD S \
  SYMBOL WINGDINGS \
  generate/Makefile \
  generate/special.map \
  generate/symbol.map \
  generate/text.map \
  generate/wingdings.map \
  generate/special.awk

MOSTLYCLEANADD=DESC

DESC: DESC.in
	echo "res $(LJ4RES)" >DESC
	echo "unitwidth `expr 7620000 / $(LJ4RES)`" >>DESC
	cat $(srcdir)/DESC.in >>DESC
	if test "$(PAGE)" = A4; then \
	  echo "papersize a4" >>DESC; \
	else \
	  echo "papersize letter" >>DESC; \
	fi
	test -z '$(LJ4PRINT)' || echo print '$(LJ4PRINT)' >>DESC

fonts:
	$(MAKE) -f $(srcdir)/generate/Makefile srcdir=$(srcdir)/generate \
	  HPFTODIT=$(top_builddir)/src/utils/hpftodit/hpftodit

########################################################################
# Emacs settings
########################################################################
#
# Local Variables:
# mode: makefile
# End:
