# Makefile.sub for `font devps'

# File position: <groff-source>/font/devps/Makefile.sub

# Copyright (C) 2014 Free Software Foundation, Inc.

# This file is part of `groffer' which is part of `groff'.

# `groff' is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.

# `groff' is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program. If not, see
# <http://www.gnu.org/licenses/gpl-2.0.html>.

########################################################################

DEV=ps
DISTFILES=\
  S SS \
  ZD ZDR ZCMI \
  AB ABI AI AR \
  BMB BMBI BMI BMR \
  CB CBI CI CR \
  HB HBI HI HR \
  HNB HNBI HNI HNR \
  NB NBI NI NR \
  PB PBI PI PR \
  TB TBI TI TR \
  EURO freeeuro.pfa freeeuro.afm \
  text.enc download
# these files must be in a subdirectory called `old'
OLDDISTFILES=\
  S SS \
  CB CBI CI CR \
  HB HBI HI HR \
  HNB HNBI HNI HNR \
  NB NBI NI NR \
  PB PBI PI PR \
  TB TBI TI TR \
  symbol.afm symbolsl.afm \
  zapfdr.afm zapfdr.ps

PSFILES=prologue symbolsl.pfa zapfdr.pfa
DEVGENFILES=generate/Makefile generate/dingbats.map \
  generate/dingbats.rmap generate/lgreekmap \
  generate/symbolchars generate/symbolsl.afm generate/textmap
DEVGENSCRIPTS=generate/afmname generate/symbol.sed
DEVFILES=DESC $(PSFILES) $(DISTFILES) $(DEVGENFILES)
OLDDEVFILES=$(OLDDISTFILES)
DEVSCRIPTS=$(DEVGENSCRIPTS)

MOSTLYCLEANADD=DESC $(PSFILES)

RM=rm -f

DESC: DESC.in
	cat $(srcdir)/DESC.in >DESC
	echo broken $(BROKEN_SPOOLER_FLAGS) >>DESC
	if test "$(PAGE)" = A4; then \
	  echo "papersize a4" >>DESC; \
	else \
	  echo "papersize letter" >>DESC; \
	fi
	test -z '$(PSPRINT)' ||	echo print '$(PSPRINT)' >>DESC

fonts: DESC
	$(MAKE) -f $(srcdir)/generate/Makefile \
	  srcdir=$(srcdir)/generate DESC=$(srcdir)/DESC.in

prologue: prologue.ps
zapfdr.pfa: zapfdr.ps
symbolsl.pfa: symbolsl.ps

$(PSFILES):
	$(RM) $@
	sed -f $(srcdir)/psstrip.sed $? >$@

########################################################################
# Emacs settings
########################################################################
#
# Local Variables:
# mode: makefile
# End:
