# Makefile.sub for `gropdf'
#
# File position: <groff-source>/src/devices/gropbf/Makefile.sub
#
# Copyright (C) 2011-2014  Free Software Foundation, Inc.
#      Written by Deri James <deri@chuzzlewit.demon.co.uk>
#
# This file is part of groff.
#
# groff is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# groff is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
########################################################################

MAN1=\
  gropdf.n \
  pdfmom.n

CMDFILES=\
  gropdf \
  pdfmom

MOSTLYCLEANADD=\
  gropdf \
  pdfmom \
  $(MAN1)

RM=rm -f

all: gropdf pdfmom


gropdf: gropdf.pl $(SH_DEPS_SED_SCRIPT)
	$(RM) $@
	sed -f $(SH_DEPS_SED_SCRIPT) \
	    -e "s|@VERSION@|$(version)$(revision)|" \
	    -e "s|@PERL@|$(PERL)|" \
	    -e "s|@GROFF_FONT_DIR@|$(fontpath)|" \
	    -e "s|@RT_SEP@|$(RT_SEP)|" $(srcdir)/gropdf.pl >$@
	chmod +x $@

pdfmom: pdfmom.pl $(SH_DEPS_SED_SCRIPT)
	$(RM) $@
	sed -f $(SH_DEPS_SED_SCRIPT) \
	    -e "s|@VERSION@|$(version)$(revision)|" \
	    -e "s|@PERL@|$(PERL)|" $(srcdir)/pdfmom.pl >$@
	chmod +x $@

install_data:
	-test -d $(DESTDIR)$(bindir) || $(mkinstalldirs) $(DESTDIR)$(bindir)
	for f in $(CMDFILES); do \
	  $(RM) $(DESTDIR)$(bindir)/$$f; \
	  $(INSTALL_SCRIPT) $$f $(DESTDIR)$(bindir)/$$f; \
	done

uninstall_sub:
	-for f in $(CMDFILES); do $(RM) $(DESTDIR)$(bindir)/$$f; done

########################################################################
# Emacs settings
########################################################################
#
# Local Variables:
# mode: makefile
# End:
