AutoGen definitions Makefile.tpl;

library = {
  name = libgrubkern.a;
  cflags = '$(CFLAGS_GNULIB)';
  cppflags = '$(CPPFLAGS_GNULIB)';

  common = util/misc.c;
  common = grub-core/kern/command.c;
  common = grub-core/kern/device.c;
  common = grub-core/kern/disk.c;
  common = util/getroot.c;
  common = util/raid.c;
  common = grub-core/kern/emu/hostdisk.c;
  common = grub-core/kern/emu/misc.c;
  common = grub-core/kern/emu/mm.c;
  common = grub-core/kern/env.c;
  common = grub-core/kern/err.c;
  common = grub-core/kern/file.c;
  common = grub-core/kern/fs.c;
  common = grub-core/kern/list.c;
  common = grub-core/kern/misc.c;
  common = grub-core/kern/partition.c;
  common = grub-core/lib/crypto.c;
  common = grub-core/disk/luks.c;
  common = grub-core/disk/geli.c;
  common = grub-core/disk/cryptodisk.c;
  common = grub-core/disk/AFSplitter.c;
  common = grub-core/lib/pbkdf2.c;
  common = grub-core/commands/extcmd.c;
  common = grub-core/lib/arg.c;
  common = grub-core/disk/ldm.c;
  common = grub-core/disk/diskfilter.c;
  common = grub-core/partmap/gpt.c;
};

library = {
  name = libgrubmods.a;
  cflags = '$(CFLAGS_POSIX) -Wno-undef -Wno-error=missing-noreturn';
  cppflags = '-I$(top_srcdir)/grub-core/lib/minilzo -I$(srcdir)/grub-core/lib/xzembed -DMINILZO_HAVE_CONFIG_H';

  common_nodist = grub_script.tab.c;
  common_nodist = grub_script.yy.c;
  common_nodist = libgrub_a_init.c;
  common_nodist = grub_script.yy.h;
  common_nodist = grub_script.tab.h;

  common = grub-core/commands/blocklist.c;
  common = grub-core/commands/xnu_uuid.c;
  common = grub-core/commands/testload.c;
  common = grub-core/commands/ls.c;
  common = grub-core/disk/dmraid_nvidia.c;
  common = grub-core/disk/loopback.c;
  common = grub-core/disk/lvm.c;
  common = grub-core/disk/mdraid_linux.c;
  common = grub-core/disk/mdraid_linux_be.c;
  common = grub-core/disk/mdraid1x_linux.c;
  common = grub-core/disk/raid5_recover.c;
  common = grub-core/disk/raid6_recover.c;
  common = grub-core/fs/affs.c;
  common = grub-core/fs/afs.c;
  common = grub-core/fs/bfs.c;
  common = grub-core/fs/btrfs.c;
  common = grub-core/fs/cpio.c;
  common = grub-core/fs/cpio_be.c;
  common = grub-core/fs/odc.c;
  common = grub-core/fs/newc.c;
  common = grub-core/fs/ext2.c;
  common = grub-core/fs/fat.c;
  common = grub-core/fs/exfat.c;
  common = grub-core/fs/fshelp.c;
  common = grub-core/fs/hfs.c;
  common = grub-core/fs/hfsplus.c;
  common = grub-core/fs/iso9660.c;
  common = grub-core/fs/jfs.c;
  common = grub-core/fs/minix.c;
  common = grub-core/fs/minix2.c;
  common = grub-core/fs/minix3.c;
  common = grub-core/fs/minix_be.c;
  common = grub-core/fs/minix2_be.c;
  common = grub-core/fs/minix3_be.c;
  common = grub-core/fs/nilfs2.c;
  common = grub-core/fs/ntfs.c;
  common = grub-core/fs/ntfscomp.c;
  common = grub-core/fs/reiserfs.c;
  common = grub-core/fs/romfs.c;
  common = grub-core/fs/sfs.c;
  common = grub-core/fs/squash4.c;
  common = grub-core/fs/tar.c;
  common = grub-core/fs/udf.c;
  common = grub-core/fs/ufs2.c;
  common = grub-core/fs/ufs.c;
  common = grub-core/fs/xfs.c;
  common = grub-core/fs/zfs/zfscrypt.c;
  common = grub-core/fs/zfs/zfs.c;
  common = grub-core/fs/zfs/zfsinfo.c;
  common = grub-core/fs/zfs/zfs_lzjb.c;
  common = grub-core/fs/zfs/zfs_sha256.c;
  common = grub-core/fs/zfs/zfs_fletcher.c;
  common = grub-core/lib/envblk.c;
  common = grub-core/lib/hexdump.c;
  common = grub-core/lib/LzFind.c;
  common = grub-core/lib/LzmaEnc.c;
  common = grub-core/lib/crc.c;
  common = grub-core/lib/adler32.c;
  common = grub-core/lib/crc64.c;
  common = grub-core/normal/datetime.c;
  common = grub-core/normal/misc.c;
  common = grub-core/partmap/acorn.c;
  common = grub-core/partmap/amiga.c;
  common = grub-core/partmap/apple.c;
  common = grub-core/partmap/msdos.c;
  common = grub-core/partmap/sun.c;
  common = grub-core/partmap/plan.c;
  common = grub-core/partmap/dvh.c;
  common = grub-core/partmap/sunpc.c;
  common = grub-core/partmap/bsdlabel.c;
  common = grub-core/script/function.c;
  common = grub-core/script/lexer.c;
  common = grub-core/script/main.c;
  common = grub-core/script/script.c;
  common = grub-core/script/argv.c;
  common = grub-core/io/gzio.c;
  common = grub-core/io/lzopio.c;
  common = grub-core/kern/ia64/dl_helper.c;
  common = grub-core/lib/minilzo/minilzo.c;
  common = grub-core/lib/xzembed/xz_dec_bcj.c;
  common = grub-core/lib/xzembed/xz_dec_lzma2.c;
  common = grub-core/lib/xzembed/xz_dec_stream.c;
};

program = {
  name = grub-bin2h;
  common = util/bin2h.c;
  ldadd = libgrubmods.a;
  ldadd = libgrubgcry.a;
  ldadd = libgrubkern.a;
  ldadd = grub-core/gnulib/libgnu.a;
  ldadd = '$(LIBINTL) $(LIBDEVMAPPER)';
  installdir = noinst;
};

program = {
  name = grub-mkimage;
  mansection = 1;

  common = util/grub-mkimage.c;
  common = util/resolve.c;
  common = grub-core/kern/emu/argp_common.c;

  extra_dist = util/grub-mkimagexx.c;

  ldadd = libgrubmods.a;
  ldadd = libgrubgcry.a;
  ldadd = libgrubkern.a;
  ldadd = grub-core/gnulib/libgnu.a;
  ldadd = '$(LIBLZMA)';
  ldadd = '$(LIBINTL) $(LIBDEVMAPPER) $(LIBZFS) $(LIBNVPAIR) $(LIBGEOM)';
  cppflags = '-DGRUB_PKGLIBDIR=\"$(pkglibdir)\"';
};

program = {
  name = grub-mkrelpath;
  mansection = 1;

  common = util/grub-mkrelpath.c;
  common = grub-core/kern/emu/argp_common.c;

  ldadd = libgrubmods.a;
  ldadd = libgrubgcry.a;
  ldadd = libgrubkern.a;
  ldadd = grub-core/gnulib/libgnu.a;
  ldadd = '$(LIBINTL) $(LIBDEVMAPPER) $(LIBUTIL) $(LIBZFS) $(LIBNVPAIR) $(LIBGEOM)';
};

program = {
  name = grub-script-check;
  mansection = 1;

  common = util/grub-script-check.c;
  common = grub-core/kern/emu/argp_common.c;

  ldadd = libgrubmods.a;
  ldadd = libgrubgcry.a;
  ldadd = libgrubkern.a;
  ldadd = grub-core/gnulib/libgnu.a;
  ldadd = '$(LIBINTL) $(LIBDEVMAPPER) $(LIBZFS) $(LIBNVPAIR) $(LIBGEOM)';
};

program = {
  name = grub-editenv;
  mansection = 1;

  common = util/grub-editenv.c;

  ldadd = libgrubmods.a;
  ldadd = libgrubgcry.a;
  ldadd = libgrubkern.a;
  ldadd = grub-core/gnulib/libgnu.a;
  ldadd = '$(LIBINTL) $(LIBDEVMAPPER) $(LIBZFS) $(LIBNVPAIR) $(LIBGEOM)';
};

program = {
  name = grub-mkpasswd-pbkdf2;
  mansection = 1;

  common = util/grub-mkpasswd-pbkdf2.c;
  common = grub-core/kern/emu/argp_common.c;

  ldadd = libgrubmods.a;
  ldadd = libgrubgcry.a;
  ldadd = libgrubkern.a;
  ldadd = grub-core/gnulib/libgnu.a;
  ldadd = '$(LIBINTL) $(LIBDEVMAPPER) $(LIBZFS) $(LIBNVPAIR) $(LIBGEOM)';
  cflags = '$(CFLAGS_GCRY)';
  cppflags = '$(CPPFLAGS_GCRY)';
};

program = {
  name = grub-macho2img;
  mansection = 1;
  common = util/grub-macho2img.c;
  condition = COND_APPLE_CC;
};

program = {
  name = grub-pe2elf;
  mansection = 1;
  common = util/grub-pe2elf.c;

  ldadd = libgrubmods.a;
  ldadd = libgrubgcry.a;
  ldadd = libgrubkern.a;
  ldadd = grub-core/gnulib/libgnu.a;
  ldadd = '$(LIBINTL)';
  condition = COND_GRUB_PE2ELF;
};

program = {
  name = grub-fstest;
  mansection = 1;
  common_nodist = grub_fstest_init.c;
  common = util/grub-fstest.c;
  common = grub-core/kern/emu/hostfs.c;
  common = grub-core/disk/host.c;

  cflags = '$(CFLAGS_GCRY)';
  cppflags = '$(CPPFLAGS_GCRY)';

  ldadd = libgrubmods.a;
  ldadd = libgrubgcry.a;
  ldadd = libgrubkern.a;
  ldadd = grub-core/gnulib/libgnu.a;
  ldadd = '$(LIBINTL) $(LIBDEVMAPPER) $(LIBUTIL) $(LIBZFS) $(LIBNVPAIR) $(LIBGEOM)';
};

program = {
  name = grub-mount;
  mansection = 1;
  common_nodist = grub_fstest_init.c;
  common = util/grub-mount.c;
  common = grub-core/kern/emu/hostfs.c;
  common = grub-core/disk/host.c;

  ldadd = libgrubmods.a;
  ldadd = libgrubgcry.a;
  ldadd = libgrubkern.a;
  ldadd = grub-core/gnulib/libgnu.a;
  ldadd = '$(LIBINTL) $(LIBDEVMAPPER) $(LIBZFS) $(LIBNVPAIR) -lfuse';
  condition = COND_GRUB_MOUNT;
};

program = {
  name = grub-mkfont;
  mansection = 1;
  common = util/grub-mkfont.c;
  common = grub-core/unidata.c;
  common = grub-core/kern/emu/argp_common.c;

  cflags = '$(freetype_cflags)';

  ldadd = libgrubmods.a;
  ldadd = libgrubgcry.a;
  ldadd = libgrubkern.a;
  ldadd = grub-core/gnulib/libgnu.a;
  ldadd = '$(freetype_libs)';
  ldadd = '$(LIBINTL) $(LIBDEVMAPPER) $(LIBZFS) $(LIBNVPAIR) $(LIBGEOM)';
  condition = COND_GRUB_MKFONT;
};

program = {
  name = grub-probe;
  installdir = sbin;
  mansection = 8;
  common = util/grub-probe.c;
  common = util/ieee1275/ofpath.c;
  common = grub-core/kern/emu/argp_common.c;

  ldadd = libgrubmods.a;
  ldadd = libgrubgcry.a;
  ldadd = libgrubkern.a;
  ldadd = grub-core/gnulib/libgnu.a;
  ldadd = '$(LIBINTL) $(LIBDEVMAPPER) $(LIBUTIL) $(LIBZFS) $(LIBNVPAIR) $(LIBGEOM)';
};

program = {
  name = grub-bios-setup;
  installdir = sbin;
  mansection = 8;
  common = util/grub-setup.c;
  common = util/lvm.c;
  common = grub-core/kern/emu/argp_common.c;
  common = grub-core/lib/reed_solomon.c;

  ldadd = libgrubmods.a;
  ldadd = libgrubkern.a;
  ldadd = libgrubgcry.a;
  ldadd = grub-core/gnulib/libgnu.a;
  ldadd = '$(LIBINTL) $(LIBDEVMAPPER) $(LIBUTIL) $(LIBZFS) $(LIBNVPAIR) $(LIBGEOM)';
  cppflags = '-DGRUB_SETUP_BIOS=1';
};

program = {
  name = grub-sparc64-setup;
  installdir = sbin;
  mansection = 8;
  common = util/grub-setup.c;
  common = util/lvm.c;
  common = grub-core/kern/emu/argp_common.c;
  common = grub-core/lib/reed_solomon.c;
  common = util/ieee1275/ofpath.c;

  ldadd = libgrubmods.a;
  ldadd = libgrubkern.a;
  ldadd = libgrubgcry.a;
  ldadd = grub-core/gnulib/libgnu.a;
  ldadd = '$(LIBINTL) $(LIBDEVMAPPER) $(LIBUTIL) $(LIBZFS) $(LIBNVPAIR) $(LIBGEOM)';
  cppflags = '-DGRUB_SETUP_SPARC64=1';
};

program = {
  name = grub-ofpathname;
  installdir = sbin;
  mansection = 8;
  common = util/ieee1275/grub-ofpathname.c;
  common = util/ieee1275/ofpath.c;

  ldadd = libgrubmods.a;
  ldadd = libgrubgcry.a;
  ldadd = libgrubkern.a;
  ldadd = grub-core/gnulib/libgnu.a;
  ldadd = '$(LIBINTL) $(LIBDEVMAPPER) $(LIBUTIL) $(LIBGEOM)';
};

program = {
  name = grub-mklayout;
  mansection = 1;

  common = util/grub-mklayout.c;
  common = grub-core/kern/emu/argp_common.c;

  ldadd = libgrubmods.a;
  ldadd = libgrubgcry.a;
  ldadd = libgrubkern.a;
  ldadd = grub-core/gnulib/libgnu.a;
  ldadd = '$(LIBINTL) $(LIBDEVMAPPER) $(LIBZFS) $(LIBNVPAIR) $(LIBGEOM)';
};

data = {
  common = util/grub.d/README;
  installdir = grubconf;
};

script = {
  name = '00_header';
  common = util/grub.d/00_header.in;
  installdir = grubconf;
};

script = {
  name = '10_windows';
  common = util/grub.d/10_windows.in;
  installdir = grubconf;
  condition = COND_HOST_WINDOWS;
};

script = {
  name = '10_hurd';
  common = util/grub.d/10_hurd.in;
  installdir = grubconf;
  condition = COND_HOST_HURD;
};

script = {
  name = '10_kfreebsd';
  common = util/grub.d/10_kfreebsd.in;
  installdir = grubconf;
  condition = COND_HOST_KFREEBSD;
};

script = {
  name = '10_illumos';
  common = util/grub.d/10_illumos.in;
  installdir = grubconf;
  condition = COND_HOST_ILLUMOS;
};

script = {
  name = '10_netbsd';
  common = util/grub.d/10_netbsd.in;
  installdir = grubconf;
  condition = COND_HOST_NETBSD;
};

script = {
  name = '10_linux';
  common = util/grub.d/10_linux.in;
  installdir = grubconf;
  condition = COND_HOST_LINUX;
};

script = {
  name = '10_xnu';
  common = util/grub.d/10_xnu.in;
  installdir = grubconf;
  condition = COND_HOST_XNU;
};

script = {
  name = '20_linux_xen';
  common = util/grub.d/20_linux_xen.in;
  installdir = grubconf;
  condition = COND_HOST_LINUX;
};

script = {
  name = '30_os-prober';
  common = util/grub.d/30_os-prober.in;
  installdir = grubconf;
};

script = {
  name = '40_custom';
  common = util/grub.d/40_custom.in;
  installdir = grubconf;
};

script = {
  name = '41_custom';
  common = util/grub.d/41_custom.in;
  installdir = grubconf;
};

script = {
  mansection = 1;
  name = grub-mkrescue;
  x86 = util/grub-mkrescue.in;
  mips_qemu_mips = util/grub-mkrescue.in;
  mips_loongson = util/grub-mkrescue.in;
  ia64_efi = util/grub-mkrescue.in;
  powerpc_ieee1275 = util/powerpc/ieee1275/grub-mkrescue.in;
  enable = i386_pc;
  enable = i386_efi;
  enable = x86_64_efi;
  enable = i386_qemu;
  enable = i386_multiboot;
  enable = i386_coreboot;
  enable = mips_qemu_mips;
  enable = mips_loongson;
  enable = ia64_efi;
  enable = powerpc_ieee1275;
};

script = {
  mansection = 1;
  name = grub-mkstandalone;
  common = util/grub-mkstandalone.in;
};

script = {
  mansection = 8;
  installdir = sbin;
  name = grub-install;

  common = util/grub-install.in;
  enable = noemu;
};

script = {
  mansection = 8;
  installdir = sbin;
  name = grub-mknetdir;

  common = util/grub-mknetdir.in;
};

script = {
  name = grub-mkconfig;
  common = util/grub-mkconfig.in;
  mansection = 8;
  installdir = sbin;
};

script = {
  name = grub-set-default;
  common = util/grub-set-default.in;
  mansection = 8;
  installdir = sbin;
};

script = {
  name = grub-reboot;
  common = util/grub-reboot.in;
  mansection = 8;
  installdir = sbin;
};

script = {
  name = grub-mkconfig_lib;
  common = util/grub-mkconfig_lib.in;
  installdir = noinst;
};

script = {
  name = grub-kbdcomp;
  common = util/grub-kbdcomp.in;
  mansection = 1;
};

script = {
  name = grub-shell;
  common = tests/util/grub-shell.in;
  installdir = noinst;
};

script = {
  name = grub-shell-tester;
  common = tests/util/grub-shell-tester.in;
  installdir = noinst;
};

script = {
  testcase;
  name = example_scripted_test;
  common = tests/example_scripted_test.in;
};

script = {
  testcase;
  name = example_grub_script_test;
  common = tests/example_grub_script_test.in;
};

script = {
  testcase;
  name = grub_script_echo1;
  common = tests/grub_script_echo1.in;
};

script = {
  testcase;
  name = grub_script_leading_whitespace;
  common = tests/grub_script_leading_whitespace.in;
};

script = {
  testcase;
  name = grub_script_echo_keywords;
  common = tests/grub_script_echo_keywords.in;
};

script = {
  testcase;
  name = grub_script_vars1;
  common = tests/grub_script_vars1.in;
};

script = {
  testcase;
  name = grub_script_for1;
  common = tests/grub_script_for1.in;
};

script = {
  testcase;
  name = grub_script_while1;
  common = tests/grub_script_while1.in;
};

script = {
  testcase;
  name = grub_script_if;
  common = tests/grub_script_if.in;
};

script = {
  testcase;
  name = grub_script_blanklines;
  common = tests/grub_script_blanklines.in;
};

script = {
  testcase;
  name = grub_script_final_semicolon;
  common = tests/grub_script_final_semicolon.in;
};

script = {
  testcase;
  name = grub_script_dollar;
  common = tests/grub_script_dollar.in;
};

script = {
  testcase;
  name = grub_script_comments;
  common = tests/grub_script_comments.in;
};

script = {
  testcase;
  name = grub_script_functions;
  common = tests/grub_script_functions.in;
};

script = {
  testcase;
  name = grub_script_break;
  common = tests/grub_script_break.in;
};

script = {
  testcase;
  name = grub_script_continue;
  common = tests/grub_script_continue.in;
};

script = {
  testcase;
  name = grub_script_shift;
  common = tests/grub_script_shift.in;
};

script = {
  testcase;
  name = grub_script_blockarg;
  common = tests/grub_script_blockarg.in;
};

script = {
  testcase;
  name = grub_script_setparams;
  common = tests/grub_script_setparams.in;
};

script = {
  testcase;
  name = grub_script_return;
  common = tests/grub_script_return.in;
};

script = {
  testcase;
  name = grub_cmd_regexp;
  common = tests/grub_cmd_regexp.in;
};

script = {
  testcase;
  name = grub_script_expansion;
  common = tests/grub_script_expansion.in;
};

script = {
  testcase;
  name = grub_script_not;
  common = tests/grub_script_not.in;
};

script = {
  testcase;
  name = partmap_test;
  common = tests/partmap_test.in;
};

script = {
  testcase;
  name = grub_cmd_echo;
  common = tests/grub_cmd_echo.in;
};

script = {
  testcase;
  name = grub_script_gettext;
  common = tests/grub_script_gettext.in;
};

script = {
  testcase;
  name = grub_script_strcmp;
  common = tests/grub_script_strcmp.in;
};

program = {
  testcase;
  name = example_unit_test;
  common = tests/example_unit_test.c;
  common = tests/lib/unit_test.c;
  common = grub-core/kern/list.c;
  common = grub-core/kern/misc.c;
  common = grub-core/tests/lib/test.c;
  ldadd = libgrubmods.a;
  ldadd = libgrubgcry.a;
  ldadd = libgrubkern.a;
  ldadd = grub-core/gnulib/libgnu.a;
  ldadd = '$(LIBDEVMAPPER) $(LIBZFS) $(LIBNVPAIR) $(LIBGEOM)';
};

program = {
  testcase;
  name = printf_test;
  common = tests/printf_unit_test.c;
  common = tests/lib/unit_test.c;
  common = grub-core/kern/list.c;
  common = grub-core/kern/misc.c;
  common = grub-core/tests/lib/test.c;
  ldadd = libgrubmods.a;
  ldadd = libgrubgcry.a;
  ldadd = libgrubkern.a;
  ldadd = grub-core/gnulib/libgnu.a;
  ldadd = '$(LIBDEVMAPPER) $(LIBZFS) $(LIBNVPAIR) $(LIBGEOM)';
};

program = {
  testcase;
  name = cmp_test;
  common = tests/cmp_unit_test.c;
  common = tests/lib/unit_test.c;
  common = grub-core/kern/list.c;
  common = grub-core/kern/misc.c;
  common = grub-core/tests/lib/test.c;
  ldadd = libgrubmods.a;
  ldadd = libgrubgcry.a;
  ldadd = libgrubkern.a;
  ldadd = grub-core/gnulib/libgnu.a;
  ldadd = '$(LIBDEVMAPPER) $(LIBZFS) $(LIBNVPAIR) $(LIBGEOM)';
};

program = {
  name = grub-menulst2cfg;
  mansection = 1;
  common = util/grub-menulst2cfg.c;
  common = grub-core/lib/legacy_parse.c;
  common = grub-core/lib/i386/pc/vesa_modes_table.c;

  ldadd = libgrubmods.a;
  ldadd = libgrubgcry.a;
  ldadd = libgrubkern.a;
  ldadd = grub-core/gnulib/libgnu.a;
  ldadd = '$(LIBINTL) $(LIBDEVMAPPER) $(LIBZFS) $(LIBNVPAIR) $(LIBGEOM)';
};
