AutoGen definitions Makefile.tpl;

module = {
  name = gcry_arcfour;
  common = lib/libgcrypt-grub/cipher/arcfour.c;
  cflags = '$(CFLAGS_GCRY)';
  cppflags = '$(CPPFLAGS_GCRY)';
};

module = {
  name = gcry_blowfish;
  common = lib/libgcrypt-grub/cipher/blowfish.c;
  cflags = '$(CFLAGS_GCRY)';
  cppflags = '$(CPPFLAGS_GCRY)';
};

module = {
  name = gcry_camellia;
  common = lib/libgcrypt-grub/cipher/camellia-glue.c;
  common = lib/libgcrypt-grub/cipher/camellia.c;
  cflags = '$(CFLAGS_GCRY)';
  cppflags = '$(CPPFLAGS_GCRY)';
};

module = {
  name = gcry_cast5;
  common = lib/libgcrypt-grub/cipher/cast5.c;
  cflags = '$(CFLAGS_GCRY)';
  cppflags = '$(CPPFLAGS_GCRY)';
};

module = {
  name = gcry_crc;
  common = lib/libgcrypt-grub/cipher/crc.c;
  cflags = '$(CFLAGS_GCRY)';
  cppflags = '$(CPPFLAGS_GCRY)';
};

module = {
  name = gcry_des;
  common = lib/libgcrypt-grub/cipher/des.c;
  cflags = '$(CFLAGS_GCRY)';
  cppflags = '$(CPPFLAGS_GCRY)';
};

module = {
  name = gcry_rfc2268;
  common = lib/libgcrypt-grub/cipher/rfc2268.c;
  cflags = '$(CFLAGS_GCRY)';
  cppflags = '$(CPPFLAGS_GCRY)';
};

module = {
  name = gcry_seed;
  common = lib/libgcrypt-grub/cipher/seed.c;
  cflags = '$(CFLAGS_GCRY)';
  cppflags = '$(CPPFLAGS_GCRY)';
};

module = {
  name = gcry_sha1;
  common = lib/libgcrypt-grub/cipher/sha1.c;
  cflags = '$(CFLAGS_GCRY) -Wno-cast-align -Wno-strict-aliasing';
  cppflags = '$(CPPFLAGS_GCRY)';
};

module = {
  name = gcry_sha256;
  common = lib/libgcrypt-grub/cipher/sha256.c;
  cflags = '$(CFLAGS_GCRY) -Wno-cast-align -Wno-strict-aliasing';
  cppflags = '$(CPPFLAGS_GCRY)';
};

module = {
  name = gcry_sha512;
  common = lib/libgcrypt-grub/cipher/sha512.c;
  cflags = '$(CFLAGS_GCRY) -Wno-cast-align -Wno-strict-aliasing';
  cppflags = '$(CPPFLAGS_GCRY)';
};

module = {
  name = gcry_tiger;
  common = lib/libgcrypt-grub/cipher/tiger.c;
  cflags = '$(CFLAGS_GCRY) -Wno-cast-align -Wno-strict-aliasing';
  cppflags = '$(CPPFLAGS_GCRY)';
};

module = {
  name = gcry_twofish;
  common = lib/libgcrypt-grub/cipher/twofish.c;
  cflags = '$(CFLAGS_GCRY)';
  cppflags = '$(CPPFLAGS_GCRY)';
};

module = {
  name = gcry_whirlpool;
  common = lib/libgcrypt-grub/cipher/whirlpool.c;
  cflags = '$(CFLAGS_GCRY)';
  cppflags = '$(CPPFLAGS_GCRY)';
};

module = {
  name = gcry_md4;
  common = lib/libgcrypt-grub/cipher/md4.c;
  cflags = '$(CFLAGS_GCRY) -Wno-cast-align -Wno-strict-aliasing';
  cppflags = '$(CPPFLAGS_GCRY)';
};

module = {
  name = gcry_md5;
  common = lib/libgcrypt-grub/cipher/md5.c;
  cflags = '$(CFLAGS_GCRY) -Wno-cast-align -Wno-strict-aliasing';
  cppflags = '$(CPPFLAGS_GCRY)';
};

module = {
  name = gcry_rmd160;
  common = lib/libgcrypt-grub/cipher/rmd160.c;
  cflags = '$(CFLAGS_GCRY) -Wno-cast-align -Wno-strict-aliasing';
  cppflags = '$(CPPFLAGS_GCRY)';
};

module = {
  name = gcry_rijndael;
  common = lib/libgcrypt-grub/cipher/rijndael.c;
  cflags = '$(CFLAGS_GCRY) -Wno-cast-align -Wno-strict-aliasing';
  cppflags = '$(CPPFLAGS_GCRY)';
};

module = {
  name = gcry_serpent;
  common = lib/libgcrypt-grub/cipher/serpent.c;
  cflags = '$(CFLAGS_GCRY)';
  cppflags = '$(CPPFLAGS_GCRY)';
};

