# Makefile for less.
# OS-9 version for Microware C 3.2.

#### Start of system configuration section. ####

CC = cc
CPPFLAGS = -D_OSK_MWC32 -DDEBUG=0 -DSTRCSPN
CFLAGS = -k=0 -v=.
CFLAGS_COMPILE_ONLY = -r 
LDFLAGS = -igm=8
LIBS = -l=/dd/lib/termlib.l
O = r


#### End of system configuration section. ####

.SUFFIXES: .c .${O}

# This rule allows us to supply the necessary -D options
# in addition to whatever the user asks for.

.c.${O}:
	${CC} ${CFLAGS_COMPILE_ONLY} ${CPPFLAGS} ${CFLAGS} $<

OBJ = \
	main.${O} screen.${O} brac.${O} ch.${O} charset.${O} cmdbuf.${O} \
	command.${O} cvt.${O} decode.${O} edit.${O} filename.${O} forwback.${O} \
	help.${O} ifile.${O} input.${O} jump.${O} line.${O} linenum.${O} \
	lsystem.${O} mark.${O} optfunc.${O} option.${O} opttbl.${O} os.${O} \
	output.${O} pattern.${O} position.${O} prompt.${O} search.${O} signal.${O} \
	tags.${O} ttyin.${O} version.${O}  regexp.${O}

all: less lessecho lesskey

less: ${OBJ}
	${CC} ${OBJ} -f=$@ ${LDFLAGS} ${LIBS}

lesskey: lesskey.${O} version.${O}
	${CC} lesskey.${O} version.${O} -f=$@ ${LDFLAGS}

lessecho: lessecho.${O} version.${O}
	${CC} lessecho.${O} version.${O} -f=$@ ${LDFLAGS}

${OBJ}: defines.h less.h

defines.h: defines.o9
	copy defines.o9 defines.h -rf
