# Makefile for GNU Moe - My Own Editor
# Copyright (C) 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013
# Antonio Diaz Diaz.
# This file was generated automatically by configure. Do not edit.
#
# This Makefile is free software: you have unlimited permission
# to copy, distribute and modify it.

pkgname = moe
pkgversion = 1.5
progname = moe
VPATH = .
prefix = /usr/local
exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin
datarootdir = $(prefix)/share
infodir = $(datarootdir)/info
mandir = $(datarootdir)/man
sysconfdir = $(prefix)/etc
CXX = g++
CPPFLAGS = 
CXXFLAGS = -Wall -W -O2
LDFLAGS = 

DISTNAME = $(pkgname)-$(pkgversion)
INSTALL = install
INSTALL_PROGRAM = $(INSTALL) -p -m 755
INSTALL_DATA = $(INSTALL) -p -m 644
INSTALL_DIR = $(INSTALL) -d -m 755
LIBS = -lncurses
SHELL = /bin/sh

edobjs = basic_buffer.o block.o buffer.o buffer_handle.o \
         encoding.o iso_8859.o menu_file.o menu_help.o menu_opts.o \
         rc.o regex.o screen.o window.o window_vector.o main.o
objs = arg_parser.o $(edobjs)


.PHONY : all install install-bin install-info install-man install-strip \
         uninstall uninstall-bin uninstall-info uninstall-man \
         doc info man check dist clean distclean

all : $(progname)

$(progname) : $(objs)
	$(CXX) $(LDFLAGS) -o $@ $(objs) $(LIBS)

$(progname)_profiled : $(objs)
	$(CXX) $(LDFLAGS) -pg -o $@ $(objs) $(LIBS)

main.o : main.cc
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -DPROGVERSION=\"$(pkgversion)\" -DSYSCONFDIR=\"$(sysconfdir)\" -c -o $@ $<

%.o : %.cc
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c -o $@ $<

$(objs)         : Makefile
$(edobjs)       : block.h buffer.h iso_8859.h menu.h rc.h screen.h
arg_parser.o    : arg_parser.h
buffer.o        : buffer_handle.h
buffer_handle.o : buffer_handle.h
encoding.o      : encoding.h
main.o          : buffer_handle.h
menu_file.o     : buffer_handle.h regex.h
rc.o            : arg_parser.h buffer_handle.h regex.h
regex.o         : regex.h
screen.o        : buffer_handle.h window.h window_vector.h
window.o        : window.h
window_vector.o : buffer_handle.h encoding.h regex.h window.h window_vector.h


doc : info man

info : $(VPATH)/doc/$(pkgname).info

$(VPATH)/doc/$(pkgname).info : $(VPATH)/doc/$(pkgname).texinfo
	cd $(VPATH)/doc && makeinfo $(pkgname).texinfo

man : $(VPATH)/doc/$(progname).1

$(VPATH)/doc/$(progname).1 : $(progname)
	help2man -n 'my own (text) editor' \
	  -o $@ ./$(progname)

Makefile : $(VPATH)/configure $(VPATH)/Makefile.in
	./config.status

check : all
	@echo "No tests yet defined for $(pkgname)-$(pkgversion)"

install : install-bin install-info install-man

install-bin : all
	if [ ! -d "$(DESTDIR)$(bindir)" ] ; then $(INSTALL_DIR) "$(DESTDIR)$(bindir)" ; fi
	if [ ! -d "$(DESTDIR)$(sysconfdir)" ] ; then $(INSTALL_DIR) "$(DESTDIR)$(sysconfdir)" ; fi
	$(INSTALL_PROGRAM) ./$(progname) "$(DESTDIR)$(bindir)/$(progname)"
	$(INSTALL_DATA) $(VPATH)/$(pkgname)rc "$(DESTDIR)$(sysconfdir)/$(pkgname)rc"

install-info :
	if [ ! -d "$(DESTDIR)$(infodir)" ] ; then $(INSTALL_DIR) "$(DESTDIR)$(infodir)" ; fi
	$(INSTALL_DATA) $(VPATH)/doc/$(pkgname).info "$(DESTDIR)$(infodir)/$(pkgname).info"
	-install-info --info-dir="$(DESTDIR)$(infodir)" "$(DESTDIR)$(infodir)/$(pkgname).info"

install-man :
	if [ ! -d "$(DESTDIR)$(mandir)/man1" ] ; then $(INSTALL_DIR) "$(DESTDIR)$(mandir)/man1" ; fi
	$(INSTALL_DATA) $(VPATH)/doc/$(progname).1 "$(DESTDIR)$(mandir)/man1/$(progname).1"

install-strip : all
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' install

uninstall : uninstall-bin uninstall-info uninstall-man

uninstall-bin :
	-rm -f "$(DESTDIR)$(bindir)/$(progname)"
	-rm -f "$(DESTDIR)$(sysconfdir)/$(pkgname)rc"

uninstall-info :
	-install-info --info-dir="$(DESTDIR)$(infodir)" --remove "$(DESTDIR)$(infodir)/$(pkgname).info"
	-rm -f "$(DESTDIR)$(infodir)/$(pkgname).info"

uninstall-man :
	-rm -f "$(DESTDIR)$(mandir)/man1/$(progname).1"

dist : doc
	ln -sf $(VPATH) $(DISTNAME)
	tar -cvf $(DISTNAME).tar \
	  $(DISTNAME)/AUTHORS \
	  $(DISTNAME)/COPYING \
	  $(DISTNAME)/ChangeLog \
	  $(DISTNAME)/INSTALL \
	  $(DISTNAME)/Makefile.in \
	  $(DISTNAME)/NEWS \
	  $(DISTNAME)/README \
	  $(DISTNAME)/configure \
	  $(DISTNAME)/doc/$(progname).1 \
	  $(DISTNAME)/doc/$(pkgname).info \
	  $(DISTNAME)/doc/$(pkgname).texinfo \
	  $(DISTNAME)/$(pkgname)rc \
	  $(DISTNAME)/*.h \
	  $(DISTNAME)/*.cc
	rm -f $(DISTNAME)
	lzip -v -9 $(DISTNAME).tar

clean :
	-rm -f $(progname) $(progname)_profiled $(objs)

distclean : clean
	-rm -f Makefile config.status *.tar *.tar.lz
